Bug 47953 - : Error messages when opening LibreOffice
Summary: : Error messages when opening LibreOffice
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: BSA
Keywords:
: 48509 64434 90981 93652 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-03-27 10:36 UTC by sam
Modified: 2016-09-20 10:26 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sam 2012-03-27 10:36:15 UTC
Problem description: LibreOffice 3.5.1.2 
Build ID: dc9775d-05ecbee-0851ad3-1586698-727bf66
Each & every time I try to open LibreOffice I get the following 2 error messages:
Error loading BASIC of document file :///C:/Documents%20and%20Settings/Administrator/Application%20Data/LibreOffice/3/user/basic/Standard/script.xlb:
General Error,
General input/output error.

and 

Error loading BASIC of document file :///C:/Documents%20and%20Settings/Administrator/Application%20Data/LibreOffice/3/user/basic/Standard/dialog.xlb:
General Error,
General input/output error.

after clicking on OK in the message box of the 1st error message, the second message comes up. After clicking on OK in the 2nd error message box, LibreOffice opens. It seems to work fine once it's open. This happens irregardless of the method I use to start LibreOffice.

I've tried uninstalling & reinstalling 2x & repairing 1x.

Version 3.4* didn't do this.

Hope this helps you & any advice would be appreciated.

Thanks :)
Steps to reproduce:
1. ....
2. ....
3. ....

Current behavior:

Expected behavior:

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 5.1; rv:11.0) Gecko/20100101 Firefox/11.0
Comment 1 Andras Timar 2012-05-02 05:00:55 UTC
This error message means that the mentioned files are missing or corrupted in your user profile. Copy a correct version from C:\Program Files\LibreOffice 3.5\presets\basic\Standard\ to C:\Documents and Settings\Administrator\Application Data\LibreOffice\3\user\basic\Standard\.
Comment 2 Stephan Bergmann 2012-09-25 08:51:24 UTC
<https://bugzilla.redhat.com/show_bug.cgi?id=748232> "missing BASIC library dialogs on startup" and <https://issues.apache.org/ooo/show_bug.cgi?id=59890> "[meta] Error loading basic of document" indicate that there apparently /are/ scenarios that lead to this symptom---though it is unclear what happens exactly.

While copying clean versions of files into the user profile can be a workaround, it would be better to find the root cause of this problem.
Comment 3 Pavel Alexeev (aka Pahan-Hubbitus) 2012-09-29 15:54:25 UTC
I have such error on Linux too https://bugzilla.redhat.com/show_bug.cgi?id=748232

And it is 100% reproduced.
Comment 4 Andras Timar 2013-05-13 07:44:24 UTC
*** Bug 64434 has been marked as a duplicate of this bug. ***
Comment 5 Maxim Monastirsky 2014-02-09 15:11:20 UTC
*** Bug 48509 has been marked as a duplicate of this bug. ***
Comment 6 Maxim Monastirsky 2015-07-30 21:33:04 UTC
*** Bug 90981 has been marked as a duplicate of this bug. ***
Comment 7 Maxim Monastirsky 2015-08-25 14:24:40 UTC
*** Bug 93652 has been marked as a duplicate of this bug. ***
Comment 8 QA Administrators 2016-09-20 10:26:02 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920